cascading.tuple.hadoop.io

## Class HadoopTupleOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.DataOutputStream
      - - cascading.tuple.io.TupleOutputStream
        - - cascading.tuple.hadoop.io.HadoopTupleOutputStream

- All Implemented Interfaces:
    Closeable, DataOutput, Flushable, AutoCloseable

      public class HadoopTupleOutputStream
      extends TupleOutputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.io.TupleOutputStream

      `TupleOutputStream.ElementWriter, TupleOutputStream.TupleElementWriter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `WRITABLE_TOKEN` Field WRITABLE_TOKEN

    - ### Fields inherited from class java.io.DataOutputStream

      `written`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleOutputStream(OutputStream outputStream, TupleOutputStream.ElementWriter elementWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TupleOutputStream.TupleElementWriter[]` | `getWritersFor(TupleOutputStream.ElementWriter elementWriter, Class[] keyClasses)`
    `void` | `writeIndexTuple(IndexTuple indexTuple)`
    `protected void` | `writeIntInternal(int value)`

    - ### Methods inherited from class cascading.tuple.io.TupleOutputStream

      `close, getWriterFor, writeElement, writeElementArray, writeTuple, writeTuplePair, writeTyped, writeTypedElement, writeUnTyped, writeWith`

    - ### Methods inherited from class java.io.DataOutputStream

      `flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataOutput

      `write`

- - ### Field Detail

    - #### WRITABLE_TOKEN

          public static final int WRITABLE_TOKEN

      Field WRITABLE_TOKEN
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HadoopTupleOutputStream

          public HadoopTupleOutputStream(OutputStream outputStream,
                                 TupleOutputStream.ElementWriter elementWriter)

  - ### Method Detail

    - #### getWritersFor

          public static TupleOutputStream.TupleElementWriter[] getWritersFor(TupleOutputStream.ElementWriter elementWriter,
                                                             Class[] keyClasses)

    - #### writeIntInternal

          protected void writeIntInternal(int value)
                                   throws IOException

      Specified by:
        `writeIntInternal` in class `TupleOutputStream`
      Throws:
        `IOException`

    - #### writeIndexTuple

          public void writeIndexTuple(IndexTuple indexTuple)
                               throws IOException

      Specified by:
        `writeIndexTuple` in class `TupleOutputStream`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.